function makeSkybox(size) {
	size=0.0+size//make sure it is float
	
	//Its a skybox in plain blue. I added some 'goalposts' to help enclose the space for debugging.

	mesh = new THREE.Mesh();
	material = new THREE.MeshBasicMaterial({color:0x97AEEB,side:THREE.BackSide})
	mesh.add(new THREE.Mesh(new THREE.CubeGeometry(size*2,size*2,size*2),material));
	
	//Debugging Goalposts
	goalPostMaterial = new THREE.MeshBasicMaterial({color:0xFF6676})
	goalPosts = new THREE.Mesh();
	subPost = new THREE.Mesh(new THREE.CubeGeometry(0.2,size,0.2),goalPostMaterial);
	subPost.position.set(9.9, 0.0, 9.9)
	goalPosts.add(subPost)
	subPost = new THREE.Mesh(new THREE.CubeGeometry(0.2,size,0.2),goalPostMaterial);
	subPost.position.set(9.9, 0.0, -9.9)
	goalPosts.add(subPost)
	subPost = new THREE.Mesh(new THREE.CubeGeometry(0.2,size,0.2),goalPostMaterial);
	subPost.position.set(-9.9, 0.0, 9.9)
	goalPosts.add(subPost)
	subPost = new THREE.Mesh(new THREE.CubeGeometry(0.2,size,0.2),goalPostMaterial);
	subPost.position.set(-9.9, 0.0, -9.9)
	goalPosts.add(subPost)
	mesh.add(goalPosts);
	
	
	return mesh;

}

function makeSkyboxWithTexture(size) {
	size=0.0+size//make sure it is float
	
	material = new THREE.MeshBasicMaterial({color:0x97AEEB,side:THREE.BackSide})
	mesh = new THREE.Mesh(new THREE.CubeGeometry(size,size,size),material);
	mesh.position.set(0.0, 0.0, 0.0);
	return mesh;

}