function makeWater(obj) {
	level=0.0+obj.level;//make sure it is float
	size=0.0+obj.size;//make sure it is float
	
	
	var geometry = new THREE.Geometry();
	for(var x=-1.0; x<2; x=x+2.0){
		for(var z=-1.0; z<2; z=z+2.0){
		geometry.vertices.push(new THREE.Vector3( x*size,  0.0, z*size));
		}
	}
	//geometry.faces.push(new THREE.Face4(0, 1, 2, 3));
	geometry.faces.push(new THREE.Face3(0, 1, 2));
	geometry.faces.push(new THREE.Face3(2, 3, 1));
	
	material = new THREE.MeshBasicMaterial({color:0x5567AA,opacity:0.5,transparent: true, side:THREE.DoubleSide});
	mesh = new THREE.Mesh(geometry, material);
	mesh.position.set(0.0, level, 0.0);
	return mesh;

}

function makeWater2(obj) {
	var level=0.0+obj.level;//make sure it is float
	var size=0.0+obj.size;//make sure it is float
	
	var mesh = new THREE.Mesh();
	//surface
	var material = new THREE.MeshBasicMaterial({color:0x5567AA,opacity:0.8,transparent: true, side:THREE.DoubleSide});
	var geometry = new THREE.Geometry();
	
	for(var x=-1.0; x<2; x=x+2.0){
		for(var z=-1.0; z<2; z=z+2.0){
		geometry.vertices.push(new THREE.Vector3( x*size,  0.0, z*size));
		}
	}
	//geometry.faces.push(new THREE.Face4(0, 1, 2, 3));
	geometry.faces.push(new THREE.Face3(0, 1, 2));
	geometry.faces.push(new THREE.Face3(2, 3, 1));
	var surface = new THREE.Mesh(geometry, material);
	surface.position.set(0.0, level, 0.0);
	mesh.add(surface)
	
	//underwater horizon?
	
	return mesh;

}